Bug 460721 - SELinux error causes Xorg to fail to start when using latest updates
SELinux error causes Xorg to fail to start when using latest updates
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
rawhide
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-30 01:01 EDT by W. Michael Petullo
Modified: 2008-09-06 14:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-06 14:32:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
X logs (1.59 KB, text/plain)
2008-09-02 22:06 EDT, W. Michael Petullo
no flags Details
X logs, more verbose that previous attachment (33.80 KB, text/plain)
2008-09-02 22:14 EDT, W. Michael Petullo
no flags Details

  None (edit)
Description W. Michael Petullo 2008-08-30 01:01:12 EDT
Description of problem:
I updated from Fedora 10 Alpha to Rawhide. Now, X fails to start.

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.4.99.906-10.fc10.ppc
selinux-policy-targeted-3.5.5-1.fc10.noarch

How reproducible:
Every time

Steps to Reproduce:
Upgrade to latest Rawhide and run X.
  
Actual results:
The following is logged: Fatal server error: SELinux: Failed to set up security class mapping

Expected results:
X should start.

Additional info:
Comment 1 Daniel Walsh 2008-09-02 16:16:42 EDT
What avc messages are you seeing?  in /var/log/audit/audit.log? /var/log/Xorg*
Comment 2 W. Michael Petullo 2008-09-02 22:06:36 EDT
Created attachment 315610 [details]
X logs

The attached file is a log of X's output during a failed startup. I do not see any AVC messages and this error occurs whether or not SELinux is set to enforce its policy.
Comment 3 W. Michael Petullo 2008-09-02 22:14:11 EDT
Created attachment 315611 [details]
X logs, more verbose that previous attachment
Comment 4 Daniel Walsh 2008-09-03 15:10:33 EDT
Two things are you running a fully up2date Rawhide box?  Are you running the latest kernel?

Is there a policy file in /etc/selinux/targeted/policy directory?
Comment 5 W. Michael Petullo 2008-09-06 14:31:34 EDT
Fixed by another full update today (06 Sep 08).

Note You need to log in before you can comment on or make changes to this bug.